<?php

namespace Notes\CLI\Attribute;

use Attribute;

#[Attribute(Attribute::TARGET_CLASS | Attribute::TARGET_METHOD)]
class Command implements \Notes\Attribute {

    public function __construct(
        public string $description,
        public null|string $command = null,
        public string|\Closure|null $default = null,
        public null|string $version = null,
    ) {}

}
