<?php

namespace Notes\Common;

class ReflectedMethod extends Reflected implements ReflectedInterface
{
    public function __construct(
        public string $name,
        public string $classname,
        public false|ReflectedMethodType|\ReflectionNamedType|\ReflectionUnionType|array $type = false,
        public bool $isConstructor = false,
        public bool $isDestructor = false,
        public bool $isAbstract = false,
        public array $attributes = [],
        public array $parameters = [],
    ) {}

}