<?php

namespace Notes\Route\Attribute\Object;

#[\Attribute(\Attribute::TARGET_CLASS)]
class Route implements \Notes\Attribute {
    public function __construct(
        public string|array $method = [ "GET", "POST" ],
        # NULL will fallback on nearest base
        public null|string $base = null,
    ){}
}
